Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class LibraryService

    java.lang.Object
      oracle.ifs.beans.LibraryService

All Implemented Interfaces:
  LibraryConstants

    public class LibraryService

extends java.lang.Object
implements LibraryConstants

A LibraryService represents an CM SDK service in the CM SDK application development API.

CM SDK services are uniquely identified by name within each process. This class provides static methods to determine whether a specified service has been started, to find a service by name, and to start a new service in this process.

To connect to an CM SDK service, thereby creating a new CM SDK session, call the `connect(Credential, ConnectOptions)` method.

(Published)

Field Summary
`static java.lang.String` | `JDBCDRIVERTYPE_OCI8` The JDBC OCI8 driver.
`static java.lang.String` | `JDBCDRIVERTYPE_THIN` The JDBC Thin driver.
`static java.lang.String` | `RESOURCES_BASENAME` The repository resource bundle.

Fields inherited from interface oracle.ifs.beans.resources.LibraryConstants
`AUDIT_EVENT_COLUMN_APPLICATIONCONTEXT, AUDIT_EVENT_COLUMN_APPLICATIONUSER, AUDIT_EVENT_COLUMN_AUXILIARYNUMBER, AUDIT_EVENT_COLUMN_AUXILIARYSTRING, AUDIT_EVENT_COLUMN_CREATEDATE, AUDIT_EVENT_COLUMN_CREATORID, AUDIT_EVENT_COLUMN_DOMAINID, AUDIT_EVENT_COLUMN_ID, AUDIT_EVENT_COLUMN_OPERATIONSUCCEEDED, AUDIT_EVENT_COLUMN_OPERATIONTYPE, AUDIT_EVENT_COLUMN_TARGETOBJECTID, AUDIT_SPECIFICATION_CUSTOM, AUDIT_SPECIFICATION_GLOBAL, AUDIT_SPECIFICATION_OBJECT, AUDIT_SUCCESS_MODE_FAILURE_ONLY, AUDIT_SUCCESS_MODE_NONE, AUDIT_SUCCESS_MODE_SUCCESS_ONLY, AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE, CAPABILITY_ADDITEM, CAPABILITY_ADDVERSION, CAPABILITY_ADMINISTER_CATEGORY, CAPABILITY_ADMINISTER_CONFIGURATION, CAPABILITY_ADMINISTER_CONTAINER, CAPABILITY_ADMINISTER_DOMAIN, CAPABILITY_ADMINISTER_LOCK, CAPABILITY_ADMINISTER_QUOTA, CAPABILITY_ADMINISTER_RECORD, CAPABILITY_ADMINISTER_ROLE, CAPABILITY_ADMINISTER_SECURITY, CAPABILITY_ADMINISTER_USER, CAPABILITY_ADMINISTER_WORKSPACE, CAPABILITY_COPY, CAPABILITY_CREATECONTAINER, CAPABILITY_CREATEFOLDER, CAPABILITY_CREATEWORKSPACE, CAPABILITY_DELETE, CAPABILITY_DISCOVER, CAPABILITY_GET_CONTENT, CAPABILITY_GETAUDITHISTORY, CAPABILITY_GETMETADATA, CAPABILITY_GETRELATION, CAPABILITY_LOCK, CAPABILITY_MOVE, CAPABILITY_SET_ATTR, CAPABILITY_SET_CONTENT, CAPABILITY_SETMETADATA, CAPABILITY_SETRELATION, EXCEPTION_INFO_AGGREGATE_ENTRIES, EXCEPTION_INFO_CONFLICTING_OBJECT_ID, EXCEPTION_INFO_DESCRIPTION_MAP, EXCEPTION_INFO_LIMIT, EXCEPTION_INFO_OBJECT_ID, EXCEPTION_INFO_PARAMETER_NAME, IFS_DOMAIN_ACCESSCONTROLLIST_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_ACCESSCONTROLLIST_COMPOSITEACLSUPPORTED, IFS_DOMAIN_ACLINDEX_EVENTTARGET, IFS_DOMAIN_APPLICATION_INITIALIZERCLASSNAME, IFS_DOMAIN_AUDIT_AUDITINGENABLED, IFS_DOMAIN_AUDITING_GLOBALAUDITEVENTEXPIRATIONPERIOD, IFS_DOMAIN_AUDITING_GLOBALAUDITTYPELIST, IFS_DOMAIN_AUDITRULEEVALUATORCLASS, IFS_DOMAIN_CONFIGURATIONCATEGORYDESCRIPTORMAPCLASSNAME, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSER, IFS_DOMAIN_CREDENTIALMANAGER_ANONYMOUSUSERNAME, IFS_DOMAIN_CREDENTIALMANAGER_AUTOUSERPROVISIONINGENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM, IFS_DOMAIN_CREDENTIALMANAGER_IDM_COUNT_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_EXTERNALLY_SUPPORTED_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_DIRECTORY_VENDOR, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_MEMBER_ATTRIBUTES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_GROUP_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_HOST, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_PORT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_SSL_ENABLED, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_NAME_ATTRIBUTE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_OBJECT_CLASSES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_LDAP_USER_SEARCHBASES, IFS_DOMAIN_CREDENTIALMANAGER_IDM_PAGE_SIZE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_SECURITY_PROVIDER_TYPE, IFS_DOMAIN_CREDENTIALMANAGER_IDM_TIME_LIMIT, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_FILE_PATH, IFS_DOMAIN_CREDENTIALMANAGER_IDM_XML_REALM, IFS_DOMAIN_CREDENTIALMANAGER_IDMENABLED, IFS_DOMAIN_DEFAULT_TIMEZONE_STRING, IFS_DOMAIN_DEFINITIONCLONINGREQUIRED, IFS_DOMAIN_DIRECTORYGROUP_BYPASSNAMEUNIQUENESSCHECK, IFS_DOMAIN_DOCUMENT_DEFINITIONOBJECTEXPIRATIONPERIOD, IFS_DOMAIN_FDKCONFIGURATIONCLASS, IFS_DOMAIN_FOLDERINDEX_EVENTTARGET, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_GLOBALAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_AUDITSPECIFICATION_OBJECTAUDITHISTORY, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPRIVATE, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSPUBLIC, IFS_DOMAIN_LIBRARYOBJECT_CLASSACCESSCONTROLLIST_CLASSRESTRICTCREATION, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_DEFAULTCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_MEDIA_NONCONTENTMEDIA, IFS_DOMAIN_LIBRARYOBJECT_NODECONFIGURATION_DEFAULTNODECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_SERVICECONFIGURATION_DEFAULTSERVICECONFIGURATION, IFS_DOMAIN_LIBRARYOBJECT_STORAGEGROUP_DEFAULTSTORAGEGROUP, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PRIVATE, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLIC, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMACCESSCONTROLLIST_PUBLISHED, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMHARDLOCK, IFS_DOMAIN_LIBRARYOBJECT_SYSTEMLOCKOBJECT_SYSTEMSOFTLOCK, IFS_DOMAIN_LOCALIZER_DEFAULTEXTENDEDRESOURCEBUNDLENAMES, IFS_DOMAIN_LOCKOBJECT_ENABLED, IFS_DOMAIN_LOOKUP_CLUSTERING_PROPERTIES, IFS_DOMAIN_LOOKUP_CUSTOMLOCKTYPES, IFS_DOMAIN_LOOKUP_ORACLELOCKTYPES, IFS_DOMAIN_LOOKUP_SORTOBJECTCOLLECTION, IFS_DOMAIN_OIDCREDENTIALMANAGERAGENT_SUBSCRIBERS, IFS_DOMAIN_OPERATIONACTIONSPECIFICATION_GLOBALLIST, IFS_DOMAIN_PROPERTYBUNDLE_NAME, IFS_DOMAIN_PROTOCOLS_DAV_COPYMOVETHROUGHFOLDERLINKENABLED, IFS_DOMAIN_PROTOCOLS_DAV_NULLRESOURCELOCKEXPIRATIONPERIOD, IFS_DOMAIN_PROTOCOLS_DAV_USERAGENTS, IFS_DOMAIN_RANDOMACCESSOR_EXPIRATIONPERIOD, IFS_DOMAIN_SEARCH_ATTEMPTCONTEXTSEARCHREWRITE, IFS_DOMAIN_SECURITY_SYNCHRONOUSSECURITYREFRESHENABLED, IFS_DOMAIN_SHAREDSTATEFACTORY, IFS_DOMAIN_UPGRADEINPROGRESS, IFS_DOMAIN_WORKFLOW_BPEL_CREATIONENABLED, IFS_DOMAIN_WORKFLOW_BPEL_WORKLISTURL, IFS_DOMAIN_WORKFLOW_ENABLED, IFS_DOMAIN_WORKFLOW_SCHEMANAME, IFS_DOMAIN_WS_CLEARTEXTAUTHENTICATIONREQUIRESHTTPS, IFS_HANDLER_PROPERTY_BASETIMEOFDAY, IFS_HANDLER_PROPERTY_NOTIFIEDONEVENT, IFS_HANDLER_PROPERTY_TIMERPERIOD, IFS_NODE_DISABLEDINHERITEDPROPERTYNAMES, IFS_NODE_DISABLEDINHERITEDSERVERNAMES, IFS_NODE_ENABLEDINHERITEDPROPERTYNAMES, IFS_NODE_ENABLEDINHERITEDSERVERNAMES, IFS_ORACLELOCKTYPE_KEY_CHECKOUT, IFS_ORACLELOCKTYPE_KEY_DAV, IFS_ORACLELOCKTYPE_KEY_FINALIZED, IFS_ORACLELOCKTYPE_KEY_FREEZE, IFS_ORACLELOCKTYPE_KEY_HASRECORD, IFS_ORACLELOCKTYPE_KEY_LIFECYCLE, IFS_ORACLELOCKTYPE_KEY_MANUAL, IFS_ORACLELOCKTYPE_KEY_NAMEDFREEZE, IFS_ORACLELOCKTYPE_KEY_RECORD, IFS_ORACLELOCKTYPE_KEY_RETENTION, IFS_ORACLELOCKTYPE_KEY_WORKFLOW, IFS_SERVICE_ACLCACHE_EMERGENCYTRIGGER, IFS_SERVICE_ACLCACHE_NORMALTRIGGER, IFS_SERVICE_ACLCACHE_PURGETARGET, IFS_SERVICE_ACLCACHE_SIZE, IFS_SERVICE_ACLCACHE_URGENTTRIGGER, IFS_SERVICE_AUDITCERTIFICATECACHE_PURGETARGET, IFS_SERVICE_AUDITINGENABLED, IFS_SERVICE_AUDITSTRINGCACHE_PURGETARGET, IFS_SERVICE_AURORASERVICE, IFS_SERVICE_CASESENSITIVEAUTHENTICATION, IFS_SERVICE_CHECKFORORPHANSESSIONSPERIOD, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_READONLY_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_READONLY_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_READONLY_TARGETSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MAXIMUMSIZETIMEOUT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_MINIMUMSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHESIZETRIGGER, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTCACHETARGET, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_STATEMENTRESETLIMIT, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZE, IFS_SERVICE_CONNECTIONPOOL_WRITEABLE_TARGETSIZETIMEOUT, IFS_SERVICE_CONTENTBUFFERSIZE, IFS_SERVICE_CREDENTIALMANAGER, IFS_SERVICE_CREDENTIALMANAGER_CREDENTIALNAMETOKENIZER, IFS_SERVICE_CREDENTIALMANAGER_NAMES, IFS_SERVICE_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_DATACACHE_NORMALTRIGGER, IFS_SERVICE_DATACACHE_PURGETARGET, IFS_SERVICE_DATACACHE_SIZE, IFS_SERVICE_DATACACHE_URGENTTRIGGER, IFS_SERVICE_DEFAULTCHARACTERSET, IFS_SERVICE_DEFAULTLANGUAGE, IFS_SERVICE_EVENTEXCHANGER, IFS_SERVICE_EVENTSTATEMENTRESETLIMIT, IFS_SERVICE_JDBC_DEFAULTROWPREFETCH, IFS_SERVICE_JDBC_DRIVER, IFS_SERVICE_JDBC_DRIVERTYPE, IFS_SERVICE_JDBC_TRACINGENABLED, IFS_SERVICE_LOCKTIMEOUTPERIOD, IFS_SERVICE_MAXIMUMCONCURRENTSESSIONS, IFS_SERVICE_MAXIMUMPOOLEDCONTENTBUFFERSPERSESSION, IFS_SERVICE_ORPHANSESSIONTIMEOUTPERIOD, IFS_SERVICE_POLLFOREVENTSFROMOTHERSERVICESPERIOD, IFS_SERVICE_QUOTACHECKFREQUENCYINBYTES, IFS_SERVICE_SERVICEKEEPALIVEEVENTPERIOD, IFS_SERVICE_SESSION_BEANSOBJECTCACHE_SIZE, IFS_SERVICE_SESSION_BEANSSESSION, IFS_SERVICE_SESSION_DATACACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_DATACACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_DATACACHE_PURGETARGET, IFS_SERVICE_SESSION_DATACACHE_SIZE, IFS_SERVICE_SESSION_DATACACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_DEFAULTSEARCHTIMEOUTPERIOD, IFS_SERVICE_SESSION_EVENTPOLLER, IFS_SERVICE_SESSION_EVENTPOLLERPERIOD, IFS_SERVICE_SESSION_FOLDERITEM_CACHING_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_ENABLED, IFS_SERVICE_SESSION_FOLDERPATHCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_FOLDERPATHCACHE_PURGETARGET, IFS_SERVICE_SESSION_FOLDERPATHCACHE_SIZE, IFS_SERVICE_SESSION_FOLDERPATHCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_EMERGENCYTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_ISUNBOUNDED, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_NORMALTRIGGER, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_PURGETARGET, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_SIZE, IFS_SERVICE_SESSION_SERVEROBJECTCACHE_URGENTTRIGGER, IFS_SERVICE_SESSION_SERVERSESSION, IFS_SERVICE_SESSION_TRANSACTIONSTACKSIZE, IFS_SERVICE_SESSIONOPERATIONTIMEOUTPERIOD, IFS_SERVICE_TRACING_BEANSSESSIONTRACETYPE, IFS_SERVICE_TRACING_CHANNELCOUNT, IFS_SERVICE_TRACING_CHANNELLEVEL, IFS_SERVICE_TRACING_DEFAULTTRACELEVEL, IFS_SERVICE_TRACING_SERVERSESSIONTRACETYPE, IFS_SERVICE_TRACING_SERVICETRACETYPE, IFS_SERVICE_TRANSPORTBATCHSIZE, IFS_SERVICE_TRANSPORTEVENTSTOOTHERSERVICESPERIOD, IFS_SESSIONSTATE_APPLICATION_SESSIONID, IFS_SESSIONSTATE_AUDIT_DOMAIN_DEFAULT, IFS_SESSIONSTATE_OPERATIONS_COPYTABLE, IFS_SESSIONSTATE_OPERATIONS_FREETABLE, IFS_SESSIONSTATE_OPERATIONS_UPDATETABLE, LOCKTYPE_CHECKOUT, LOCKTYPE_CUSTOM, LOCKTYPE_DAV, LOCKTYPE_FAMILYHASRECORD, LOCKTYPE_FINALIZED, LOCKTYPE_FREEZE, LOCKTYPE_HAS_RECORD, LOCKTYPE_LIFECYCLE, LOCKTYPE_MANUAL, LOCKTYPE_NAMEDFREEZE, LOCKTYPE_RECORD, LOCKTYPE_RETENTION, LOCKTYPE_WORKFLOW, PUBLIC_SESSIONSTATE_APPLICATION_CONTEXT, PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_CHECKOUT, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_DAV, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FINALIZED, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_FREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_HASRECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_LIFECYCLE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_MANUAL, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_NAMEDFREEZE, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RECORD, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_RETENTION, RESOURCEKEY_IFS_ORACLELOCKTYPE_DESCRIPTION_WORKFLOW, SYSTEMLOCK_NAME_FINALIZED, SYSTEMLOCK_NAME_FREEZE, SYSTEMLOCK_NAME_HAS_RECORD, SYSTEMLOCK_NAME_LIFECYCLE, SYSTEMLOCK_NAME_RECORD, SYSTEMLOCK_NAME_RETENTION`

Method Summary
`LibrarySession` | `connect(Credential credential, ConnectOptions options)` Connects to this CM SDK service, creating a new CM SDK session.
`void` | `dispose(javax.sql.DataSource dataSource)` Disposes the sevice.
`void` | `dispose(java.lang.String schemaPassword)` Disposes this service.
`void` | `dispose(SystemUserCredential cred)` Disposes the sevice.
`static LibraryObjectLookupCache` | `findLibraryObjectLookupCache(LibrarySessionInterface session, java.lang.String key)` Finds a registered LibraryObjectLookupCache instance by key.
`static LibraryService` | `findService(java.lang.String serviceName)` Finds an existing CM SDK service with the specified name.
`CredentialNameTokenizer` | `getCredentialNameTokenizer()` Gets the CredentialNameTokenizer for this CM SDK service.
`static java.lang.String` | `getDatabaseUrlUsingDomainName(java.lang.String domainName, java.lang.String jdbcDriverType)` Resolves a domain name to a database URL.
`GssApiCredential` | `getGssApiCredential(byte[] inputTicket, java.util.Hashtable parameters)` Gets a new GssApiCredential using the supplied ticket.
`java.lang.Long` | `getId()` Gets the ID that identifies this service instance.
`static java.lang.String` | `getSchemaName(java.lang.String domainName)` Resolves a domain name to a schema name.
`static AttributeValue[]` | `getServiceConfigurationProperties(java.lang.String serviceConfigurationName, javax.sql.DataSource ds)` Gets service configuration properties from a ServiceConfiguration object.
`static AttributeValue[]` | `getServiceConfigurationProperties(java.lang.String domainName, java.lang.String schemaPassword, java.lang.String serviceConfigurationName)` Gets service configuration properties from a ServiceConfiguration object.
`static AttributeValue[]` | `getServiceConfigurationProperties(java.lang.String schemaPassword, java.lang.String serviceConfigurationName, java.lang.String databaseUrl, java.lang.String schemaName)` Gets the service config properties by looking up in the database.
`TokenCredential` | `getTokenCredential(java.lang.String token, java.util.Hashtable parameters)` Gets the previously-created TokenCredential for the specified token.
`static long` | `getVersionNumber()` Gets the software version as a long.
`static java.lang.String` | `getVersionString()` Gets the software version as a string.
`void` | `invalidateTokenCredential(java.lang.String token, java.util.Hashtable parameters)` Invalidates the previously-created TokenCredential for the specified token.
`static boolean` | `isServiceStarted(java.lang.String serviceName)` Determines whether there exists an CM SDK service with the specified name.
`static void` | `registerLibraryObjectLookupCache(LibrarySessionInterface session, java.lang.String key, LibraryObjectLookupCache lolc)` Register a LibraryObjectLookupCache instance by key.
`static java.util.Vector` | `selectProperties(java.sql.Connection conn, java.lang.String fromWhereOrderBy, java.lang.String propertyTableAlias, java.lang.Object[] bindValues)` Gets a set of Properties as AttributeValues using raw JDBC.
`void` | `setBootstrapClassPolicyActionContexts(java.util.HashMap pacs, java.lang.String schemaPassword)` Puts the service in "policy bootstrap" mode.
`static LibraryService` | `startService(java.lang.String serviceName, java.lang.String schemaPassword, java.lang.String serviceConfigurationName, java.lang.String domainName)` Starts a new CMSDK service.
`static LibraryService` | `startService(java.lang.String serviceName, java.lang.String nodeName, java.lang.String schemaPassword, java.lang.String serviceConfigurationName, java.lang.String domainName)` Starts a new CMSDK service.
`static LibraryService` | `startService(java.lang.String serviceName, java.lang.String schemaPassword, java.lang.String serviceConfigurationName, java.lang.String schemaName, java.lang.String domainDisplayName, java.lang.String databaseUrl, java.lang.String domainName)` Starts a new CMSDK service.
`static LibraryService` | `startService(java.lang.String serviceName, java.lang.String nodeName, java.lang.String schemaPassword, java.lang.String serviceConfigurationName, java.lang.String schemaName, java.lang.String domainDisplayName, java.lang.String databaseUrl, java.lang.String domainName)` Starts a new CMSDK service.
`static LibraryService` | `startServiceUsingDatabaseUrl(java.lang.String serviceName, java.lang.String schemaPassword, java.lang.String serviceConfigurationName, java.lang.String schemaName, java.lang.String databaseUrl)` Deprecated. Content Services AS 10.1.3: use startServiceUsingDatabaseUrl( String, String, String, String, String, String)
`static LibraryService` | `startServiceUsingDatabaseUrl(java.lang.String serviceName, java.lang.String nodeName, java.lang.String schemaPassword, java.lang.String serviceConfigurationName, java.lang.String schemaName, java.lang.String databaseUrl)` Starts a new CMSDK service.
`static LibraryService` | `startServiceUsingDataSource(java.lang.String serviceName, java.lang.String nodeName, java.lang.String serviceConfigurationName, javax.sql.DataSource ds)` Starts a new CMSDK service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCES_BASENAME

    public static final java.lang.String RESOURCES_BASENAME

  Description copied from class: `LibraryService`
  The repository resource bundle.

  See Also:
    Constant Field Values
  (Unpublished)

### JDBCDRIVERTYPE_THIN

    public static final java.lang.String JDBCDRIVERTYPE_THIN

  Description copied from class: `LibraryService`
  The JDBC Thin driver.

  See Also:
    Constant Field Values
  (Published)

### JDBCDRIVERTYPE_OCI8

    public static final java.lang.String JDBCDRIVERTYPE_OCI8

  Description copied from class: `LibraryService`
  The JDBC OCI8 driver.

  See Also:
    Constant Field Values
  (Published)

Method Detail

### getId

    public java.lang.Long getId()
                         throws IfsException

  Description copied from class: `LibraryService`
  Gets the ID that identifies this service instance.

  Returns:
    the service ID
  Throws:
    `IfsException` - (IFS-20100) if the operation fails
  (Published)

### findService

    public static LibraryService findService(java.lang.String serviceName)
                                      throws IfsException

  Description copied from class: `LibraryService`
  Finds an existing CM SDK service with the specified name.

  If there is no service with that name, an exception is thrown.

  Parameters:
    `serviceName` - the name of the service
  Returns:
    the service
  Throws:
    `IfsException` - (IFS-20100) if the operation fails
  (Published)

### isServiceStarted

    public static boolean isServiceStarted(java.lang.String serviceName)
                                    throws IfsException

  Description copied from class: `LibraryService`
  Determines whether there exists an CM SDK service with the specified name.

  Parameters:
    `serviceName` - the name of the service
  Returns:
    whether there is a service with that name
  Throws:
    `IfsException` - (IFS-20101) if the operation fails
  (Published)

### startService

    public static LibraryService startService(java.lang.String serviceName,
                                              java.lang.String schemaPassword,
                                              java.lang.String serviceConfigurationName,
                                              java.lang.String domainName)
                                       throws IfsException

  Description copied from class: `LibraryService`
  Starts a new CMSDK service.

  To start a service, you must specify three things:

  - The name to assign to the service. Service names are unique across each CMSDK process.

  - The password of the CMSDK schema. This establishes that you have permission to start a CMSDK service.

  - The service configuration properties. Service configurations are stored in CMSDK as uniquely-named instances of the SERVICECONFIGURATION classobject. You control which service configuration is used by specifying a `serviceConfigurationName` and a `domainName`.

    The `serviceConfigurationName` specifies the name of the desired SERVICECONFIGURATION object.

    The `domainName` identifies the CMSDK schema. It has the format `ifs://host:port:globalDatabaseName:schema`, where `host` is the hostname of the database server, `port` is the port number of the database listener, `globalDatabaseName` is the global database name, and `schema` is the CMSDK schema name. For example, `ifs://test.foo.com:1521:ora.test_foo_com:ifssys`.

  Parameters:
    `serviceName` - the name to assign to the service
    `schemaPassword` - the password of the CMSDK schema
    `serviceConfigurationName` - the service configuration (see above); if null a default configuration is used
    `domainName` - the domain name (see above)
  Returns:
    the new service
  Throws:
    `IfsException` - (IFS-20102) if the operation fails
  (Published)

### startService

    public static LibraryService startService(java.lang.String serviceName,
                                              java.lang.String nodeName,
                                              java.lang.String schemaPassword,
                                              java.lang.String serviceConfigurationName,
                                              java.lang.String domainName)
                                       throws IfsException

  Description copied from class: `LibraryService`
  Starts a new CMSDK service.

  To start a service, you must specify three things:

  - The name to assign to the service. Service names are unique across each CMSDK process.

  - The password of the CMSDK schema. This establishes that you have permission to start a CMSDK service.

  - The service configuration properties. Service configurations are stored in CMSDK as uniquely-named instances of the SERVICECONFIGURATION classobject. You control which service configuration is used by specifying a `serviceConfigurationName` and a `domainName`.

    The `serviceConfigurationName` specifies the name of the desired SERVICECONFIGURATION object.

    The `domainName` identifies the CMSDK schema. It has the format `ifs://host:port:globalDatabaseName:schema`, where `host` is the hostname of the database server, `port` is the port number of the database listener, `globalDatabaseName` is the global database name, and `schema` is the CMSDK schema name. For example, `ifs://test.foo.com:1521:ora.test_foo_com:ifssys`.

  Parameters:
    `serviceName` - the name to assign to the service
    `nodeName` - the name of the node that runs this service
    `schemaPassword` - the password of the CMSDK schema
    `serviceConfigurationName` - the service configuration (see above); if null a default configuration is used
    `domainName` - the domain name (see above)
  Returns:
    the new service
  Throws:
    `IfsException` - (IFS-20102) if the operation fails
  (Unpublished)

### startService

    public static LibraryService startService(java.lang.String serviceName,
                                              java.lang.String schemaPassword,
                                              java.lang.String serviceConfigurationName,
                                              java.lang.String schemaName,
                                              java.lang.String domainDisplayName,
                                              java.lang.String databaseUrl,
                                              java.lang.String domainName)
                                       throws IfsException

  Description copied from class: `LibraryService`
  Starts a new CMSDK service.

  To start a service, you must specify the following:

  - The name to assign to the service. Service names are unique across each CMSDK process.

  - The password of the CMSDK schema. This establishes that you have permission to start a CMSDK service.

  - The service configuration properties. Service configurations are stored in CMSDK as uniquely-named instances of the SERVICECONFIGURATION classobject. You control which service configuration is used by specifying a `serviceConfigurationName` and either of the following:
    - `schemaName` and `databaseUrl`, or
    - `domainName`

    The `serviceConfigurationName` specifies the name of the desired SERVICECONFIGURATION object.

    The `schemaName` specifies the name of CMSDK schema.

    The `domainDisplayName` is ignored.

    The `databaseUrl` specifies the descriptor for connecting to the database

    The `domainName` identifies the CMSDK schema. It has the format `ifs://host:port:globalDatabaseName:schema`, where `host` is the hostname of the database server, `port` is the port number of the database listener, `globalDatabaseName` is the global database name, and `schema` is the CMSDK schema name. For example, `ifs://test.foo.com:1521:ora.test_foo_com:ifssys`.

  Parameters:
    `serviceName` - the name to assign to the service
    `schemaPassword` - the password of the CMSDK schema
    `serviceConfigurationName` - the service configuration (see above); if null a default configuration is used
    `schemaName` - the schema name (see above)
    `domainDisplayName` - this parameter is ignored
    `databaseUrl` - the database url (see above)
    `domainName` - the domain name (see above)
  Returns:
    the new service
  Throws:
    `IfsException` - (IFS-20102) if the operation fails
  (Published)

### startService

    public static LibraryService startService(java.lang.String serviceName,
                                              java.lang.String nodeName,
                                              java.lang.String schemaPassword,
                                              java.lang.String serviceConfigurationName,
                                              java.lang.String schemaName,
                                              java.lang.String domainDisplayName,
                                              java.lang.String databaseUrl,
                                              java.lang.String domainName)
                                       throws IfsException

  Description copied from class: `LibraryService`
  Starts a new CMSDK service.

  To start a service, you must specify the following:

  - The name to assign to the service. Service names are unique across each CMSDK process.

  - The name of the node that runs this service.

  - The password of the CMSDK schema. This establishes that you have permission to start a CMSDK service.

  - The service configuration properties. Service configurations are stored in CMSDK as uniquely-named instances of the SERVICECONFIGURATION classobject. You control which service configuration is used by specifying a `serviceConfigurationName` and either of the following:
    - `schemaName` and `databaseUrl`, or
    - `domainName`

    The `serviceConfigurationName` specifies the name of the desired SERVICECONFIGURATION object.

    The `schemaName` specifies the name of CMSDK schema.

    The `domainDisplayName` This parameter is ignored.

    The `databaseUrl` specifies the descriptor for connecting to the database

    The `domainName` identifies the CMSDK schema. It has the format `ifs://host:port:globalDatabaseName:schema`, where `host` is the hostname of the database server, `port` is the port number of the database listener, `globalDatabaseName` is the global database name, and `schema` is the CMSDK schema name. For example, `ifs://test.foo.com:1521:ora.test_foo_com:ifssys`.

  Parameters:
    `serviceName` - the name to assign to the service
    `nodeName` - the name of the node that runs this service
    `schemaPassword` - the password of the CMSDK schema
    `serviceConfigurationName` - the service configuration (see above); if null a default configuration is used
    `schemaName` - the schema name (see above)
    `domainDisplayName` - this parameter is ignored
    `databaseUrl` - the database url (see above)
    `domainName` - the domain name (see above)
  Returns:
    the new service
  Throws:
    `IfsException` - (IFS-20102) if the operation fails
  (Unpublished)

### startServiceUsingDatabaseUrl

    public static LibraryService startServiceUsingDatabaseUrl(java.lang.String serviceName,
                                                              java.lang.String schemaPassword,
                                                              java.lang.String serviceConfigurationName,
                                                              java.lang.String schemaName,
                                                              java.lang.String databaseUrl)
                                                       throws IfsException

  Deprecated. Content Services AS 10.1.3: use startServiceUsingDatabaseUrl( String, String, String, String, String, String)

  Description copied from class: `LibraryService`
  Starts a new CMSDK service.

  To start a service, you must specify the following:

  - The name to assign to the service. Service names are unique across each CMSDK process.

  - The password of the CMSDK schema. This establishes that you have permission to start a CMSDK service.

  - The service configuration properties. Service configurations are stored in CMSDK as uniquely-named instances of the SERVICECONFIGURATION classobject. You control which service configuration is used by specifying a `serviceConfigurationName`, `schemaName` and `databaseUrl`.

    The `serviceConfigurationName` specifies the name of the desired SERVICECONFIGURATION object.

    The `schemaName` specifies the name of CMSDK schema.

    The `databaseUrl` specifies the descriptor for connecting to the database

  Parameters:
    `serviceName` - the name to assign to the service
    `schemaPassword` - the password of the CMSDK schema
    `serviceConfigurationName` - the service configuration (see above); if null a default configuration is used
    `schemaName` - the schema name (see above)
    `databaseUrl` - the database url (see above)
  Returns:
    the new service
  Throws:
    `IfsException` - (IFS-20102) if the operation fails
  (Published)

### startServiceUsingDatabaseUrl

    public static LibraryService startServiceUsingDatabaseUrl(java.lang.String serviceName,
                                                              java.lang.String nodeName,
                                                              java.lang.String schemaPassword,
                                                              java.lang.String serviceConfigurationName,
                                                              java.lang.String schemaName,
                                                              java.lang.String databaseUrl)
                                                       throws IfsException

  Description copied from class: `LibraryService`
  Starts a new CMSDK service.

  To start a service, you must specify the following:

  - The name to assign to the service. Service names are unique across each CMSDK process.

  - The name of the node that runs this service.

  - The password of the CMSDK schema. This establishes that you have permission to start a CMSDK service.

  - The service configuration properties. Service configurations are stored in CMSDK as uniquely-named instances of the SERVICECONFIGURATION classobject. You control which service configuration is used by specifying a `serviceConfigurationName`, `schemaName` and `databaseUrl`.

    The `serviceConfigurationName` specifies the name of the desired SERVICECONFIGURATION object.

    The `schemaName` specifies the name of CMSDK schema.

    The `databaseUrl` specifies the descriptor for connecting to the database

  Parameters:
    `serviceName` - the name to assign to the service
    `nodeName` - the name of the node that runs this service
    `schemaPassword` - the password of the CMSDK schema
    `serviceConfigurationName` - the service configuration (see above); if null a default configuration is used
    `schemaName` - the schema name (see above)
    `databaseUrl` - the database url (see above)
  Returns:
    the new service
  Throws:
    `IfsException` - (IFS-20102) if the operation fails
  (Unpublished)

### startServiceUsingDataSource

    public static LibraryService startServiceUsingDataSource(java.lang.String serviceName,
                                                             java.lang.String nodeName,
                                                             java.lang.String serviceConfigurationName,
                                                             javax.sql.DataSource ds)
                                                      throws IfsException

  Description copied from class: `LibraryService`
  Starts a new CMSDK service.

  To start a service, you must specify the following:

  - The name to assign to the service. Service names are unique across each CMSDK process.

  - The name of the node that runs this service.

  - The service configuration properties. Service configurations are stored in CMSDK as uniquely-named instances of the SERVICECONFIGURATION classobject. You control which service configuration is used by specifying a `serviceConfigurationName`, `schemaName` and `databaseUrl`.

    The `serviceConfigurationName` specifies the name of the desired SERVICECONFIGURATION object.

    The `dataSource` dataSource used for connecting to the database

  Parameters:
    `serviceName` - the name to assign to the service
    `nodeName` - the name of the node that runs this service
    `serviceConfigurationName` - the service configuration (see above); if null a default configuration is used
    `ds` - data source for db connectivity
  Returns:
    the new service
  Throws:
    `IfsException` - (IFS-20102) if the operation fails
  (Published)

### getServiceConfigurationProperties

    public static AttributeValue[] getServiceConfigurationProperties(java.lang.String domainName,
                                                                     java.lang.String schemaPassword,
                                                                     java.lang.String serviceConfigurationName)
                                                              throws IfsException

  Description copied from class: `LibraryService`
  Gets service configuration properties from a ServiceConfiguration object.

  This variant obtains the properties without a session or service.

  Parameters:
    `domainName` - the domain name
    `schemaPassword` - the schema password
    `serviceConfigurationName` - the ServiceConfiguration name, or null for the default service configuration
  Returns:
    the service configuration properties
  Throws:
    `IfsException` - (IFS-20010) if the operation fails
  (Published)

### getServiceConfigurationProperties

    public static AttributeValue[] getServiceConfigurationProperties(java.lang.String schemaPassword,
                                                                     java.lang.String serviceConfigurationName,
                                                                     java.lang.String databaseUrl,
                                                                     java.lang.String schemaName)
                                                              throws IfsException

  Description copied from class: `LibraryService`
  Gets the service config properties by looking up in the database.

  Parameters:
    `schemaPassword` - schema password
    `serviceConfigurationName` - name of the service config
    `databaseUrl` - database URL
    `schemaName` - name of the schema
  Returns:
    array of AttributeValue representing service configuration properties
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getServiceConfigurationProperties

    public static AttributeValue[] getServiceConfigurationProperties(java.lang.String serviceConfigurationName,
                                                                     javax.sql.DataSource ds)
                                                              throws IfsException

  Description copied from class: `LibraryService`
  Gets service configuration properties from a ServiceConfiguration object.

  This variant obtains the properties without a session or service.

  Parameters:
    `serviceConfigurationName` - the ServiceConfiguration name, or null for the default service configuration
    `ds` - DataSource used to connect to the schema
  Returns:
    the service configuration properties
  Throws:
    `IfsException` - (IFS-20010) if the operation fails
  (Published)

### getVersionString

    public static java.lang.String getVersionString()
                                             throws IfsException

  Description copied from class: `LibraryService`
  Gets the software version as a string.

  "1.0.8.3.1" would be returned for version 1.0.8.3.1.

  Returns:
    the version
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getVersionNumber

    public static long getVersionNumber()
                                 throws IfsException

  Description copied from class: `LibraryService`
  Gets the software version as a long.

  Each element in the version number is represented by two digits in the long value.

  0100080301L would be returned for version 1.0.8.3.1.

  Returns:
    the version
  Throws:
    `IfsException` - if the operation fails
  (Published)

### findLibraryObjectLookupCache

    public static LibraryObjectLookupCache findLibraryObjectLookupCache(LibrarySessionInterface session,
                                                                        java.lang.String key)

  Description copied from class: `LibraryService`
  Finds a registered LibraryObjectLookupCache instance by key.

  Currently uses a static map rather, as currently it is difficult to use a LibraryService instance as this isn't readily available from a LibrarySession context. A session is passed for this method in order to make it easier to re-implement this in terms of an instance method once this is fixed.

  Parameters:
    `session` - the session context
    `key` - the key used in registering the instance
  Returns:
    the registered LibraryObjectLookupCache instance that matches the specified key, or null if none
  Throws:
    `IfsException` - if the operation fails

### registerLibraryObjectLookupCache

    public static void registerLibraryObjectLookupCache(LibrarySessionInterface session,
                                                        java.lang.String key,
                                                        LibraryObjectLookupCache lolc)
                                                 throws IfsException

  Description copied from class: `LibraryService`
  Register a LibraryObjectLookupCache instance by key.

  Currently uses a static map rather, as currently it is difficult to use a LibraryService instance as this isn't readily available from a LibrarySession context. A session is passed for this method in order to make it easier to re-implement this in terms of an instance method once this is fixed.

  Parameters:
    `session` - the session context
    `key` - the key used to register the instance
    `lolc` - the LibraryObjectLookupCache instance to register
  Throws:
    `IfsException` - if the operation fails

### setBootstrapClassPolicyActionContexts

    public void setBootstrapClassPolicyActionContexts(java.util.HashMap pacs,
                                                      java.lang.String schemaPassword)
                                               throws IfsException

  Description copied from class: `LibraryService`
  Puts the service in "policy bootstrap" mode.

  In policy bootstrap mode, the in-play policies are not determined by the ClassPolicyList attribute of CLASSOBJECT and the PolicyList and ApplicationPolicyList attributes of PUBLICOBJECT, SCHEMAOBJECT, and SYSTEMOBJECT. Instead they are explicitly specified using this method.

  The `pacs` argument must be a HashMap whose names are uppercased ClassObject names, and whose values are Lists of the PolicyActionContexts for the ClassObject's ClassPolicyList. The `getClassPolicyActionContexts` method of PolicyManager returns a value in this form.

  If `pacs` is null, the service is taken out of bootstrap mode.

  Parameters:
    `pacs` - see method description
    `schemaPassword` - the schema password
  Throws:
    `IfsException` - (IFS-20014) if the operation fails
  (Unpublished)

### getTokenCredential

    public TokenCredential getTokenCredential(java.lang.String token,
                                              java.util.Hashtable parameters)
                                       throws IfsException

  Description copied from class: `LibraryService`
  Gets the previously-created TokenCredential for the specified token.

  Parameters:
    `token` - the token
    `parameters` - the required parameters. For this method to return a TokenCredential, this hashtable must contain a matching entry for every required parameter that was specified in creating the TokenCredential.
  Returns:
    the TokenCredential
  Throws:
    `IfsException` - (IFS-10192) if the operation fails
  (Published)

### getGssApiCredential

    public GssApiCredential getGssApiCredential(byte[] inputTicket,
                                                java.util.Hashtable parameters)
                                         throws IfsException

  Description copied from class: `LibraryService`
  Gets a new GssApiCredential using the supplied ticket. The inputTicket is vaidated at this time against the GSS provider.

  Parameters:
    `inputTicket` - client supplied GSS api ticket
    `parameters` - currently not used
  Returns:
    GssApiCredential
  Throws:
    `IfsException` - (IFS-10192) if the operation fails
  (Unpublished)

### invalidateTokenCredential

    public void invalidateTokenCredential(java.lang.String token,
                                          java.util.Hashtable parameters)
                                   throws IfsException

  Description copied from class: `LibraryService`
  Invalidates the previously-created TokenCredential for the specified token.

  Once invalidated, the token can no longer be used to authenticate.

  Parameters:
    `token` - the token
    `parameters` - the required parameters. For this method to invalidate a TokenCredential, this hashtable must contain a matching entry for every required parameter that was specified in creating the TokenCredential.
  Throws:
    `IfsException` - (IFS-10189) if the operation fails
  (Published)

### getCredentialNameTokenizer

    public CredentialNameTokenizer getCredentialNameTokenizer()
                                                       throws IfsException

  Description copied from class: `LibraryService`
  Gets the CredentialNameTokenizer for this CM SDK service.

  Returns:
    the CredentialNameTokenizer
  Throws:
    `IfsException` - (IFS-12790) if the operation fails
  (Published)

### connect

    public LibrarySession connect(Credential credential,
                                  ConnectOptions options)
                           throws IfsException

  Description copied from class: `LibraryService`
  Connects to this CM SDK service, creating a new CM SDK session.

  Parameters:
    `credential` - the user's credentials
    `options` - connect options; may be null
  Returns:
    the new session
  Throws:
    `IfsException` - (IFS-21008) if the operation fails
  (Published)

### dispose

    public void dispose(java.lang.String schemaPassword)
                 throws IfsException

  Description copied from class: `LibraryService`
  Disposes this service.

  Parameters:
    `schemaPassword` - the schema password, to prove authority
  Throws:
    `IfsException` - if the operation fails
  (Published)

### dispose

    public void dispose(javax.sql.DataSource dataSource)
                 throws IfsException

  Description copied from class: `LibraryService`
  Disposes the sevice.

  Parameters:
    `dataSource` - data source, to prove authority
  Throws:
    `IfsException` - if the operation fails

### dispose

    public void dispose(SystemUserCredential cred)
                 throws IfsException

  Description copied from class: `LibraryService`
  Disposes the sevice.

  Parameters:
    `cred` - the SystemUserCredential
  Throws:
    `IfsException` - if the operation fails

### getDatabaseUrlUsingDomainName

    public static java.lang.String getDatabaseUrlUsingDomainName(java.lang.String domainName,
                                                                 java.lang.String jdbcDriverType)
                                                          throws IfsException

  Description copied from class: `LibraryService`
  Resolves a domain name to a database URL.

  A database URL is synthesized from the specified domain name and JDBC driver type.

  Parameters:
    `domainName` - the domain name
    `jdbcDriverType` - the JDBC driver type; either JDBCDRIVERTYPE_THIN or JDBCDRIVERTYPE_OCI8
  Returns:
    the database URL
  Throws:
    `IfsException` - (IFS-20130) if the operation fails
  (Published)

### getSchemaName

    public static java.lang.String getSchemaName(java.lang.String domainName)
                                          throws IfsException

  Description copied from class: `LibraryService`
  Resolves a domain name to a schema name.

  Parameters:
    `domainName` - the domain name
  Returns:
    the schema name
  Throws:
    `IfsException` - (IFS-20131) if the operation fails
  (Published)

### selectProperties

    public static java.util.Vector selectProperties(java.sql.Connection conn,
                                                    java.lang.String fromWhereOrderBy,
                                                    java.lang.String propertyTableAlias,
                                                    java.lang.Object[] bindValues)
                                             throws java.lang.Exception

  Description copied from class: `LibraryService`
  Gets a set of Properties as AttributeValues using raw JDBC.

  This method can select Properties from odmv_property, or from any table or view that contains a superset of the columns in that view.

  Parameters:
    `conn` - the connection
    `fromWhereOrderBy` - the FROM, WHERE, and ORDER BY clauses of the SELECT
    `propertyTableAlias` - the alias of the odmv_property-like table in the FROM clause, or null for no alias
    `bindValues` - the positional bind values, or null for none
  Returns:
    the properties, as AttributeValues
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD